package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the TBEquipment entity.
 */
public class TBEquipmentDTO implements Serializable {

    private Long id;

    private String sku;

    private String name;

    private String manufacturer;

    private String specs;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long tbEquipmentTypeId;

    private String tbEquipmentTypeName;

    private Long inventory;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    private Long tbCustomerId;

    private List<SpecsTBEquipmentDTO> guide;

    private List<SpecsTBEquipmentDTO> guideDel;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getSpecs() {
        return specs;
    }

    public void setSpecs(String specs) {
        this.specs = specs;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getTbEquipmentTypeId() {
        return tbEquipmentTypeId;
    }

    public void setTbEquipmentTypeId(Long tBEquipmentTypeId) {
        this.tbEquipmentTypeId = tBEquipmentTypeId;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long tBDetailUserId) {
        this.createdById = tBDetailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long tBDetailUserId) {
        this.modifiedById = tBDetailUserId;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long tBDetailUserId) {
        this.deletedById = tBDetailUserId;
    }

    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tBCustomerId) {
        this.tbCustomerId = tBCustomerId;
    }

    public String getTbEquipmentTypeName() {
        return tbEquipmentTypeName;
    }

    public void setTbEquipmentTypeName(String tbEquipmentTypeName) {
        this.tbEquipmentTypeName = tbEquipmentTypeName;
    }

    public Long getInventory() {
        return inventory;
    }

    public void setInventory(Long inventory) {
        this.inventory = inventory;
    }

    public List<SpecsTBEquipmentDTO> getGuide() {
        return guide;
    }

    public void setGuide(List<SpecsTBEquipmentDTO> guide) {
        this.guide = guide;
    }

    public List<SpecsTBEquipmentDTO> getGuideDel() {
        return guideDel;
    }

    public void setGuideDel(List<SpecsTBEquipmentDTO> guideDel) {
        this.guideDel = guideDel;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBEquipmentDTO tBEquipmentDTO = (TBEquipmentDTO) o;
        if (tBEquipmentDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBEquipmentDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBEquipmentDTO{" +
            "id=" + getId() +
            ", sku='" + getSku() + "'" +
            ", name='" + getName() + "'" +
            ", manufacturer='" + getManufacturer() + "'" +
            ", specs='" + getSpecs() + "'" +
            ", createdDate='" + getCreatedDate() + "'" +
            ", modifiedDate='" + getModifiedDate() + "'" +
            ", deletedDate='" + getDeletedDate() + "'" +
            ", tbEquipmentType=" + getTbEquipmentTypeId() +
            ", tbEquipmentTypeName=" + getTbEquipmentTypeName() +
            ", createdBy=" + getCreatedById() +
            ", modifiedBy=" + getModifiedById() +
            ", deletedBy=" + getDeletedById() +
            ", tbCustomer=" + getTbCustomerId() +
            "}";
    }
}
